
QGIS Application - Bug report #9978

Merge Vector Layers: 6 instead of NULL values

2014-04-02 08:49 AM - Bernd Vogelgesang

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18472

Description

I use the Merge Vector Layers Plugin in the Graphical modeler to glue together point layers produced in steps before.

These layers have all but the last field in common.

Layer 1 has the field AW250 the layer 2 has AW250_1k.

The resuling layer has both fields, and the values from the original layers are correctly shown in their columns. But the other field value is 6

where it should be NULL or at least 0.

See attached screenshot.

Associated revisions

Revision d12a0b4a - 2016-01-14 04:07 PM - Alexander Bruy

[processing] fix Merge vector layers alg (fix #9978)

History

#1 - 2014-04-02 09:08 AM - Bernd Vogelgesang

Forgot to set the category to Processing. Could anyone do that?

#2 - 2014-04-02 09:22 AM - Paolo Cavallini

- Category set to 94

#3 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#4 - 2016-01-14 07:08 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"d12a0b4a252f34b1def14e49b15e8d9f75b6740f".

#5 - 2016-01-14 07:10 AM - Alexander Bruy

- Resolution set to fixed/implemented

Hopefully fixed. Reopen if necessary
